# Jaxer.NetworkUtils : Object
Return to: Jaxer Framework index

This is a utility class that wraps XPCOM Network utility functions

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
Jaxer.NetworkUtils Constructor() : Jaxer.NetworkUtils Network Utility helper object | Show Details | 1.0 | no

### Jaxer.NetworkUtils() : Jaxer.NetworkUtils

Network Utility helper object

Returns

Jaxer.NetworkUtils |

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
fixupURI(Object aURI) : String Invokes the XPCOM nsIURIFixup method and return a 'fixed' URI | Show Details | 1.0 | no

Parameters

Object | aURI | The URI to process

Returns

String | The fixed URI as a string

onStartRequest(Object aRequest, Object aContext) : void A stub function to be overridden | Show Details | 1.0 | no

Parameters

Object | aRequest | request object
Object | aContext | the contextual object for this request

onStopRequest(Object aRequest, Object aContext, Object aStatus) : void Invokes the callback function for completed requests | Show Details | 1.0 | no

Parameters

Object | aRequest | the request object
Object | aContext | the current context of the request context
Object | aStatus | the current status of the request object

QueryInterface(Object iid) : void Returns a QueryInterface for the provided XPCOM Interface ID | Show Details | 1.0 | no

Parameters

Object | iid | the requested XPCOM Interface ID

validateURI(Object aURI) : void Validates the provided URI using XPCOM and returns JSLib.Ok if successful | Show Details | 1.0 | no

Parameters

Object | aURI | The URI to validate

aptana_docs